package com.iqser.red.service.persistence.management.v1.processor.dataexchange.models;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.iqser.red.service.persistence.service.v1.api.shared.model.dossiertemplate.type.Type;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class EntityTypeImportModel {

    @Builder.Default
    private List<Type> types = new ArrayList<>();

    @Builder.Default
    private Map<String, List<String>> entries = new HashMap<>();

    @Builder.Default
    private Map<String, List<String>> falsePositives = new HashMap<>();

    @Builder.Default
    private Map<String, List<String>> falseRecommendations = new HashMap<>();

    @Builder.Default
    private Map<String, List<String>> deletedEntries = new HashMap<>();

    @Builder.Default
    private Map<String, List<String>> deletedFalsePositives = new HashMap<>();

    @Builder.Default
    private Map<String, List<String>> deletedFalseRecommendations = new HashMap<>();

}
